Bug 1022634 - [GSS] (6.2.x) Upgrade from JBossWeb 7.2.2.Final-redhat-1 to JBossWeb 7.3.0.Final-redhat-1
Summary: [GSS] (6.2.x) Upgrade from JBossWeb 7.2.2.Final-redhat-1 to JBossWeb 7.3.0.Fi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.2.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: CR1
: EAP 6.2.1
Assignee: Vaclav Tunka
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Depends On: 1050225
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2013-10-23 16:40 UTC by Jeremy Whiting
Modified: 2018-12-03 20:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Upgrade to JBossWeb component. Reason: Result (if any):
Clone Of:
: 1050225 (view as bug list)
Environment:
Last Closed: 2014-02-24 20:14:37 UTC
Type: Component Upgrade


Attachments (Terms of Use)
sample jsp file (77 bytes, text/html)
2013-10-23 16:40 UTC, Jeremy Whiting
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBWEB-281 Major Resolved Inconsistent use of genStringAsCharArray. 2016-11-15 22:39:58 UTC
JBoss Issue Tracker JBWEB-282 Major Resolved Lack of synchronization in org.apache.catalina.security.SecurityUtil 2016-11-15 22:39:58 UTC
Red Hat Bugzilla 1052511 None None None Never
Red Hat Bugzilla 1053217 None None None Never
Red Hat Bugzilla 1053218 None None None Never
Red Hat Bugzilla 1053259 None None None Never
Red Hat Bugzilla 1053261 None None None Never
Red Hat Bugzilla 1053262 None None None Never


Description Jeremy Whiting 2013-10-23 16:40:14 UTC
Created attachment 815471 [details]
sample jsp file

Description of problem:
 The version of jbossweb 7.2.0.GA includes an inconsistent name for enabling char array type rather than using String.

Version-Release number of selected component (if applicable):
7.2.0.GA

How reproducible:
Always.

Steps to Reproduce:
1. Deploy a web application with a really simple Hello World JSP. Use a browser to request the JSP. Add server configuration to enable the use of char array.

<configuration>
   <jsp-configuration generate-strings-as-char-arrays="true"/>
</configuration>

2. Inspect generated source code for the Servlet (generated from the JSP).
Hint: see the code starting with out.write(

Actual results:
String type is used to hold the jsp character data used to generate a response.

Expected results:
char array is used to hold jsp character data used to generate a response.

Additional info:

Comment 1 Aaron Ogburn 2013-10-24 02:57:02 UTC
This is needed to acquire the fix to JBWEB-282 as well to avoid potential hangs in concurrent deployments.

Comment 2 Rémy Maucherat 2013-11-19 10:57:15 UTC
Some clarification.
Web 7.3 is a copy of the 7.2 branch (which is for EAP 6.1) with no additional changes, for EAP 6.2 maintenance if needed.
Web 7.4 is for EAP 6.3 (websockets + Servlet 3.1 upgrade).

Comment 4 JBoss JIRA Server 2013-11-22 11:33:28 UTC
Jeremy Whiting <jwhiting@redhat.com> made a comment on jira JBWEB-281

Looking at the tagged version of code in FishEye the code has not been patched.

https://source.jboss.org/browse/JBossWeb/tags/JBOSSWEB_7_3_0_FINAL/src/main/java/org/apache/jasper/EmbeddedServletOptions.java?r=2086&r=2288&r=2288&r=2086#to534

Yet in the SVN repo the code is updated. Did the tagging task happen too early ?
http://anonsvn.jboss.org/repos/jbossweb/branches/7.3.x/src/main/java/org/apache/jasper/EmbeddedServletOptions.java

The 7.3.0.Final library included in EAP 6.2 CR3 does not fix this issue.

Comment 5 JBoss JIRA Server 2013-11-22 11:34:38 UTC
Jeremy Whiting <jwhiting@redhat.com> updated the status of jira JBWEB-281 to Reopened

Comment 6 JBoss JIRA Server 2013-11-22 11:34:38 UTC
Jeremy Whiting <jwhiting@redhat.com> made a comment on jira JBWEB-281

The 7.3.0 library does not fix the issue. See comments about the tagged version of code.

Comment 7 Rémy Maucherat 2013-11-27 08:52:54 UTC
Please, less spam ...

The tag uses the "genStringAsCharArray" init param (avoiding your weird comparison URL): http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_7_3_0_FINAL/src/main/java/org/apache/jasper/EmbeddedServletOptions.java

Comment 8 Jeremy Whiting 2013-11-27 10:05:32 UTC
 Yes you are right, the tagged code does have the fix. Thanks for that.
 The FishEye page I used is showing incorrect information.

Comment 10 JBoss JIRA Server 2014-01-03 17:10:27 UTC
Jeremy Whiting <jwhiting@redhat.com> updated the status of jira JBWEB-281 to Resolved

Comment 16 Scott Mumford 2014-01-20 05:46:28 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 17 Radim Hatlapatka 2014-01-23 12:30:10 UTC
Verified in 6.2.1.CP.CR1-patch

Comment 18 Russell Dickenson 2014-01-31 03:33:16 UTC
I have marked this ticket as possibly needing a release notes entry on QE's advice. As this component upgrade resolves several issues, the RN items would appear under the label "Bug Fixes".


Note You need to log in before you can comment on or make changes to this bug.